## org.apache.mahout.utils.regex
Class ChainTransformer

    java.lang.Object
      org.apache.mahout.utils.regex.ChainTransformer

All Implemented Interfaces:
  RegexTransformer

    public class ChainTransformer

extends Object
implements RegexTransformer

Chain together several `RegexTransformer` and apply them to the match in succession

Constructor Summary
`ChainTransformer()`
`ChainTransformer(List<RegexTransformer> chain)`

Method Summary
`List<RegexTransformer>` `getChain()`
`void` `setChain(List<RegexTransformer> chain)`
`String` `transformMatch(String match)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainTransformer

    public ChainTransformer()

### ChainTransformer

    public ChainTransformer(List<RegexTransformer> chain)

Method Detail

### transformMatch

    public String transformMatch(String match)

  Specified by:
    `transformMatch` in interface `RegexTransformer`

### getChain

    public List<RegexTransformer> getChain()

### setChain

    public void setChain(List<RegexTransformer> chain)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.